Up

# NSEPSImageRep

### Authors

Adam Fedor (`fedor@colorado.edu`)

> EPS image representation.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSEPSImageRep class

## NSEPSImageRep : NSImageRep

> Declared in:
>   AppKit/NSEPSImageRep.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +imageRepWithData:
- -EPSRepresentation
- -boundingBox
- -initWithData:
- -prepareGState

### imageRepWithData:

+ (id) imageRepWithData: (NSData*)epsData;
Availability: OpenStep
Description forthcoming.

### EPSRepresentation

- (NSData*) EPSRepresentation;
Availability: OpenStep
Description forthcoming.

### boundingBox

- (NSRect) boundingBox;
Availability: OpenStep
Description forthcoming.

### initWithData:

- (id) initWithData: (NSData*)epsData;
Availability: OpenStep
Description forthcoming.

### prepareGState

- (void) prepareGState;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSEPSImageRep Class

### _bounds

@protected NSRect _bounds;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _epsData

@protected NSData* _epsData;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up